@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Inter', sans-serif;
  color: hsl(0, 0%, 100%);
}

main {
  width: 100%;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: hsl(0, 0%, 8%);

  > .card {
    max-width: 280px;
    width: 100%;
    background-color: hsl(0, 0%, 12%);
    padding: 30px;
    margin: clamp(20px, 7vw, 40px);
    border-radius: 10px;
    > .top {
      text-align: center;

      > h1 {
        font-size: 18px;
        margin: 15px 0 5px 0;
      }

      > h2 {
        font-size: 14px;
        font-weight: 600;
        color: hsl(75, 94%, 57%);
      }

      > p {
        margin: 20px 0 10px 0;
        font-size: 12px;
        font-weight: 400;
      }

      > img {
        width: 80px;
        height: 80px;
        border-radius: 50%;
      }
    }

    > .bottom {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      align-items: center;
      margin-top: 20px;
      gap: 10px;

      > a {
        width: 100%;
        > button {
          width: 100%;
          outline: none;
          border: none;
          background-color: hsl(0, 0%, 20%);
          font-size: 10px;
          font-weight: 600;
          padding: 10px;
          border-radius: 5px;
          cursor: pointer;
          transition: 0.2s ease-in-out;
          &:hover {
            background-color: hsl(75, 94%, 57%);
            color: hsl(0, 0%, 20%);
            transform: scale(1.05);
          }
        }
      }
    }
  }
}
